Bug 384891 - system-config-firewall crashes on startup
system-config-firewall crashes on startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 11:09 EST by David Wood
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.11-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 22:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Wood 2007-11-15 11:09:11 EST
system-config-firewall is crashing on startup with the following messages:

Traceback (most recent call last):
  File "/usr/share/system-config-firewall/system-config-firewall.py", line 41,
in <module>
    ui.run()
  File "/usr/share/system-config-firewall/fw_gui.py", line 1264, in run
    self.readFile()
  File "/usr/share/system-config-firewall/fw_gui.py", line 841, in readFile
    self.loadDefaults()
  File "/usr/share/system-config-firewall/fw_gui.py", line 1192, in loadDefaults
    if device.Alias and dev.Alias != "":
AttributeError: 'str' object has no attribute 'Alias'

I have two F8 systems, one of which this works fine on.  Could this have
anything to do with the fact that the failing system has an aliased Ethernet
connection (eth0 and eth0:1) so it can have two static IP addresses to work on
different networks.

Version-Release number of selected component: system-config-firewall-1.0.8-3.fc8
Comment 1 Loran Freval 2007-11-16 03:12:06 EST
i've encountered the same problem on my F8 (same
system-config-firewall-1.0.8-3.fc8).

the line 1192 in "/usr/share/system-config-firewall/fw_gui.py"
> if device.Alias and dev.Alias != "":
seems to contain an error and should be changed into
> if device.Alias and device.Alias != "":
Comment 2 David Wood 2007-11-16 08:13:51 EST
Good suggestion Loran.  I applied your fix and it works fine now. 
Comment 3 Fedora Update System 2007-11-21 22:27:57 EST
system-config-firewall-1.0.11-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.